
Figure - Bug #114886
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】打开游戏模式后，运行部分游戏时不显示游戏工具箱
2022-12-27 17:18 - CD Test赵飞

Status: CLOSED Start date: 2022-12-27

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-12-29

Test Type: ST Root cause: 由于部分游戏app没有游戏标签，app包名也不再游戏名单中，所以没有显示游戏工具箱

Description

【前提条件】

1、设备已开机

2、安装一些主流top 10游戏

【测试步骤】

1、打开设置- 游戏模式设置，打开游戏模式开关

2、分别启动已经安装的游戏

3、在游戏界面中查看游戏工具箱入口

【预期结果】

5、top 10游戏界面中均正常显示游戏工具箱入口

【实际结果】

5、top 10游戏中仅有5款游戏显示游戏工具箱入口，其他游戏不显示工具箱入口

【备注】

原神：显示

王者荣耀：显示

和平精英：显示

英雄联盟手游：显示

梦幻西游手游：不显示

暗黑破坏神：不朽：不显示

三国志战略版：不显示

使命召唤手游：显示

率土之滨：不显示

崩坏3：不显示

系统默认搭载的edge浏览器被打开时，却显示了游戏工具箱的入口

History

#1 - 2022-12-28 10:17 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#2 - 2022-12-29 15:54 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

172993 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode:Add Game ListTC-RID: 1201-0204801IssueID: TS-R-BUG-114886Change-Id: I2d73c8c61fef616170ec6ef69c37a7f91e307963

#3 - 2022-12-29 16:44 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-29

- Root cause set to 由于部分游戏app没有游戏标签，app包名也不再游戏名单中，所以没有显示游戏工具箱

■ Current conclusion

Bug已解决，上述几个游戏已经加入游戏名单中，同时把谷歌应用商城的游戏推荐首页的的游戏加入了游戏名单中

■ My analysis

由于部分游戏app没有游戏标签，app包名也不再游戏名单中，所以没有显示游戏工具箱

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/172993

#4 - 2022-12-30 10:52 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212300319

验证结果：PASS

bug描述中不显示工具箱的游戏在验证版本中均显示了工具箱

#5 - 2022-12-30 10:53 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/172993

